Bug 1300302 - changing WM_CLASS of window doesn't change icon shown in gnome-classic bottom panel
changing WM_CLASS of window doesn't change icon shown in gnome-classic bottom...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-20 07:50 EST by Caolan McNamara
Modified: 2016-12-20 13:02 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:02:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
++ demo.cxx `pkg-config --cflags --libs gtk+-3.0` -lX11 (1.46 KB, text/plain)
2016-01-20 07:50 EST, Caolan McNamara
no flags Details
highlighted screenshot before (557.18 KB, image/png)
2016-01-20 07:51 EST, Caolan McNamara
no flags Details
highlighted screenshot after (557.18 KB, image/png)
2016-01-20 07:51 EST, Caolan McNamara
no flags Details
what would ideally happen (556.55 KB, image/png)
2016-01-20 07:52 EST, Caolan McNamara
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 771731 None None None 2016-09-20 12:08 EDT

  None (edit)
Description Caolan McNamara 2016-01-20 07:50:41 EST
Created attachment 1116639 [details]
++ demo.cxx `pkg-config --cflags --libs gtk+-3.0` -lX11

Description of problem:
changing the WM_CLASS of a window doesn't have an effect of updating the icon selected from the matching .desktop file

Version-Release number of selected component (if applicable):
gnome-shell-3.18.3-1.fc23.x86_64

How reproducible:
100%

Steps to Reproduce:
1. dnf install libreoffice to install the desktop files and icons etc
2. g++ demo.cxx `pkg-config --cflags --libs gtk+-3.0` -lX11
3. ./a.out

Actual results:
Name of window in top panel changes from "LibreOffice" to "LibreOffice Writer", but the icon shown in the bottom panel remains as the original "startcenter" icon and doesn't change to the "writer" icon

Additional info:
This is the scenario for LibreOffice which attempts to bundle e.g. "writer" windows together. (https://bugzilla.gnome.org/show_bug.cgi?id=632229 and https://wiki.gnome.org/Projects/GnomeShell/ApplicationBased) But where when there is one window open and its contents closed, the window reverts to a "startcenter" type.
Comment 1 Caolan McNamara 2016-01-20 07:51 EST
Created attachment 1116640 [details]
highlighted screenshot before
Comment 2 Caolan McNamara 2016-01-20 07:51 EST
Created attachment 1116641 [details]
highlighted screenshot after
Comment 3 Caolan McNamara 2016-01-20 07:52 EST
Created attachment 1116642 [details]
what would ideally happen
Comment 4 Caolan McNamara 2016-01-20 07:57:55 EST
Its unclear to me if under wayland there is even the theoretical possibility to continue to support one running process impostering as multiple applications.
Comment 5 Fedora End Of Life 2016-11-24 10:04:57 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2016-12-20 13:02:13 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.